Bug 1144825 (CVE-2014-3646) - CVE-2014-3646 kernel: kvm: vmx: invvpid vm exit not handled
Summary: CVE-2014-3646 kernel: kvm: vmx: invvpid vm exit not handled
Status: CLOSED ERRATA
Alias: CVE-2014-3646
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20141021,repor...
Keywords: Security
Depends On: 1144826 1144827 1144828 1144829 1152986 1156534 1174854
Blocks: 1144830
TreeView+ depends on / blocked
 
Reported: 2014-09-21 11:04 UTC by Petr Matousek
Modified: 2019-04-16 14:18 UTC (History)
36 users (show)

(edit)
It was found that the Linux kernel's KVM subsystem did not handle the VM exits gracefully for the invvpid (Invalidate Translations Based on VPID) instructions. On hosts with an Intel processor and invppid VM exit support, an unprivileged guest user could use these instructions to crash the guest.
Clone Of:
(edit)
Last Closed: 2015-04-22 11:05:36 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2014:1724 normal SHIPPED_LIVE Important: kernel security and bug fix update 2014-10-29 01:33:03 UTC
Red Hat Product Errata RHSA-2014:1843 normal SHIPPED_LIVE Important: kernel security and bug fix update 2014-11-11 20:34:11 UTC
Red Hat Product Errata RHSA-2015:0126 normal SHIPPED_LIVE Critical: rhev-hypervisor6 security update 2015-02-04 22:52:31 UTC
Red Hat Product Errata RHSA-2015:0284 normal SHIPPED_LIVE Important: kernel security and bug fix update 2015-03-03 17:49:58 UTC

Description Petr Matousek 2014-09-21 11:04:21 UTC
On systems with invvpid instruction support (corresponding bit in
IA32_VMX_EPT_VPID_CAP MSR is set) guest invocation of invvpid
causes vm exit, which is currently not handled and causes unknown
exit error to be propagated to userspace.

A local unprivileged guest user could use this flaw to crash the
guest.

Acknowledgements:

Red Hat would like to thank the Advanced Threat Research team at Intel Security for reporting this issue.

Comment 6 Petr Matousek 2014-10-15 10:37:50 UTC
Statement:

This issue does affect the Linux kernel packages as shipped with Red Hat Enterprise Linux 6 and 7. Future updates may address this issue in the
respective Red Hat Enterprise Linux releases.

This issue does affect the kvm packages as shipped with Red Hat Enterprise Linux 5.

Red Hat Enterprise Linux 5 is now in Production 3 Phase of the support and maintenance life cycle. This has been rated as having Moderate security impact and is not currently planned to be addressed in future updates. For additional information, refer to the Red Hat Enterprise Linux Life Cycle: https://access.redhat.com/support/policy/updates/errata/.

Comment 8 Petr Matousek 2014-10-24 15:59:20 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1156534]

Comment 9 Fedora Update System 2014-10-28 06:44:29 UTC
kernel-3.16.6-203.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 errata-xmlrpc 2014-10-28 21:34:35 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2014:1724 https://rhn.redhat.com/errata/RHSA-2014-1724.html

Comment 11 Martin Prpič 2014-10-29 12:39:47 UTC
IssueDescription:

It was found that the Linux kernel's KVM subsystem did not handle the VM exits gracefully for the invvpid (Invalidate Translations Based on VPID) instructions. On hosts with an Intel processor and invppid VM exit support, an unprivileged guest user could use these instructions to crash the guest.

Comment 12 Fedora Update System 2014-11-03 05:22:47 UTC
kernel-3.17.2-300.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 errata-xmlrpc 2014-11-11 15:34:38 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2014:1843 https://rhn.redhat.com/errata/RHSA-2014-1843.html

Comment 14 Fedora Update System 2014-11-16 14:46:27 UTC
kernel-3.14.23-100.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 16 errata-xmlrpc 2015-02-04 17:52:49 UTC
This issue has been addressed in the following products:

  RHEV-H and Agents for RHEL-6

Via RHSA-2015:0126 https://rhn.redhat.com/errata/RHSA-2015-0126.html

Comment 17 errata-xmlrpc 2015-03-03 12:50:44 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6.5 EUS - Server and Compute Node Only

Via RHSA-2015:0284 https://rhn.redhat.com/errata/RHSA-2015-0284.html


Note You need to log in before you can comment on or make changes to this bug.